Package | Class | Tree | Deprecated | Index | Help
| JMS 1.1 - April 12, 2002
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jms
Class IllegalStateException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.jms.JMSException
                        |
                        +--javax.jms.IllegalStateException

All Implemented Interfaces:
  java.io.Serializable

public class IllegalStateException
extends JMSException

This exception is thrown when a method is invoked at an illegal or inappropriate time or if the provider is not in an appropriate state for the requested operation. For example, this exception must be thrown if `Session.commit` is called on a non-transacted session. This exception is also called when a domain inappropriate method is called, such as calling `TopicSession.CreateQueueBrowser`.

Version:
  April 9, 2002
Author:
  Rahul Sharma, Kate Stout
See Also:
  Serialized Form

Constructor Summary
`IllegalStateException(java.lang.String reason)` Constructs an `IllegalStateException` with the specified reason.
`IllegalStateException(java.lang.String reason, java.lang.String errorCode)` Constructs an `IllegalStateException` with the specified reason and error code.

Methods inherited from class javax.jms.JMSException
`getErrorCode, getLinkedException, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalStateException

    public IllegalStateException(java.lang.String reason,
                                 java.lang.String errorCode)

  Constructs an `IllegalStateException` with the specified reason and error code.
  Parameters:
    `reason` - a description of the exception
    `errorCode` - a string specifying the vendor-specific error code

### IllegalStateException

    public IllegalStateException(java.lang.String reason)

  Constructs an `IllegalStateException` with the specified reason. The error code defaults to null.
  Parameters:
    `reason` - a description of the exception

Package | Class | Tree | Deprecated | Index | Help
| JMS 1.1 - April 12, 2002
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JMS 1.1 - April 12, 2002